Get Subscription Report of Targets
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/targetsSubscriptionReport
Get subscription details of targets
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
exclusions: array
exclusions
Array of details to be excluded in response
-
limit: number
Limit for the current fetch (to fetch only the 'total' count of items need to set the limit=0)Example:
10 -
page: string
Base 64 encoded pageExample:
b2Zmc2V0OjA -
sort: string
Sort field along with an optional sort direction. The supported attributes for sorting are 'targetName', 'targetType', 'hostName', 'dataguardRole', 'release', 'platform', 'targetStatus', 'clusterName', 'isSubscribed', 'dbMachineName'.Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.Example:
name:asc
Match All
Show Source
-
object
TargetsSubscriptionReportFilter
Filters for targets subscription report
Nested Schema : exclusions
Type:
arrayArray of details to be excluded in response
Show Source
-
Array of:
string
Allowed Values:
[ "TARGETS_DISTRIBUTION", "TOTAL" ]
Nested Schema : TargetsSubscriptionReportFilter
Type:
objectFilters for targets subscription report
Show Source
-
platform: string
Platform of the targetExample:
linux_x64_86 -
releaseMatches: string
Wildcard search on release of the targetExample:
19.14% -
subscriptionType: string
Default Value:
BOTHAllowed Values:[ "SUBSCRIBED", "NOT_SUBSCRIBED", "BOTH" ]It describes the subscription type -
targetNameMatches: string
Wildcard search on the target nameExample:
%orcl% -
targetProperties: object
targetProperties
Properties of target
-
targetTypes: array
targetTypes
Array of target types
Nested Schema : targetProperties
Type:
objectProperties of target
Match All
Properties of target
Show Source
-
object
TargetPropertyFilter
Target property filters
Nested Schema : targetTypes
Type:
arrayArray of target types
Show Source
-
Array of:
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]
Nested Schema : TargetPropertyFilter
Type:
objectTarget property filters
Show Source
-
contactList: array
contactList
List of contacts
-
costCenterList: array
costCenterList
List of cost centers
-
departmentList: array
departmentList
List of departments
-
downtimeContactList: array
downtimeContactList
List of downtime contacts
-
lifecycleStatusList: array
lifecycleStatusList
List of lifecyclestatus
-
lineOfBusinessList: array
lineOfBusinessList
List of line of business
-
locationList: array
locationList
List of locations
-
siteList: array
siteList
List of sites
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
OK. Subscription report of targets retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
TargetsSubscriptionReport
Target subscription details, which are subscribed/not subscribed to gold image
Nested Schema : TargetsSubscriptionReport
Type:
objectTarget subscription details, which are subscribed/not subscribed to gold image
Show Source
-
count: number
Count of targets in the current fetchExample:
10 -
currentPage: string
Base 64 encoded current pageExample:
b2Zmc2V0OjA -
items: array
items
Target details
-
nextPage: string
Base 64 encoded next pageExample:
b2Zmc2V0OjA -
previousPage: string
Base 64 encoded previous pageExample:
b2Zmc2V0OjA -
targetsDistribution: array
targetsDistribution
Statistics of targets grouped by targettype, release and platform
-
total: number
Total count of targetsExample:
20
Nested Schema : targetsDistribution
Type:
arrayStatistics of targets grouped by targettype, release and platform
Show Source
Nested Schema : TargetSubscriptionDetails
Type:
objectTarget details
Show Source
-
dbMachineName: string
DB Machine nameExample:
myDbMachine.oracle.com -
isSubscribed: boolean
Flag to indicate if target is subscribedExample:
false
Match All
Target details
Show Source
-
object
TargetDetails
details of target
Nested Schema : TargetDetails
Type:
objectdetails of target
Show Source
-
clusterName: string
name of the clusterExample:
phxem0405c -
dataguardRole: string
Enum for Data Guard role
-
displayName: string
display name of the targetExample:
sdb2ra00 -
hostname: string
name of the hostExample:
myHostName.mycompany.com -
isCdb: string
Flag to indicate if the DB is CDBExample:
true -
platform: string
Platform of the targetExample:
Linux_AMD64 -
release: string
database releaseExample:
19.14.0.0.0 -
targetId: string
Id of the targetExample:
09216A9333889316155C3B7DFF9820C7 -
targetName: string
name of the targetExample:
sdb2ra00 -
targetStatus: number
status of the targetExample:
1 -
targetType: string
Allowed Values:
[ "rac_database", "oracle_database", "cluster", "has" ]type of the target
Nested Schema : items
Match All
Show Source
-
object
TargetsDistributionStatistics
Statistics of targets based on release and platform
Nested Schema : TargetsDistributionStatistics
Type:
objectStatistics of targets based on release and platform
Show Source
-
count: number
Count of targetsExample:
10 -
platform: string
Platform of the targetExample:
linux_x86_64 -
release: string
Database releaseExample:
19.14.0.0.0 -
targetType: string
Allowed Values:
[ "oracle_database", "rac_database", "has", "cluster" ]Target type
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message